import 'dart:convert';

/// consumeOrders : 0
/// cancelOrders : 0
/// phoneNumber : "10086"

ReserveLogModel reserveLogModelFromJson(String str) =>
    ReserveLogModel.fromJson(json.decode(str));

String reserveLogModelToJson(ReserveLogModel data) =>
    json.encode(data.toJson());

class ReserveLogModel {
  ReserveLogModel({
    num? consumeOrders,
    num? cancelOrders,
    String? phoneNumber,
  }) {
    _consumeOrders = consumeOrders;
    _cancelOrders = cancelOrders;
    _phoneNumber = phoneNumber;
  }

  ReserveLogModel.fromJson(dynamic json) {
    _consumeOrders = json['consumeOrders'];
    _cancelOrders = json['cancelOrders'];
    _phoneNumber = json['phoneNumber'];
  }

  num? _consumeOrders;
  num? _cancelOrders;
  String? _phoneNumber;

  ReserveLogModel copyWith({
    num? consumeOrders,
    num? cancelOrders,
    String? phoneNumber,
  }) =>
      ReserveLogModel(
        consumeOrders: consumeOrders ?? _consumeOrders,
        cancelOrders: cancelOrders ?? _cancelOrders,
        phoneNumber: phoneNumber ?? _phoneNumber,
      );

  num? get consumeOrders => _consumeOrders;

  num? get cancelOrders => _cancelOrders;

  String? get phoneNumber => _phoneNumber;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['consumeOrders'] = _consumeOrders;
    map['cancelOrders'] = _cancelOrders;
    map['phoneNumber'] = _phoneNumber;
    return map;
  }
}
